AppTitle "SJ3DGUI-Sample01"

Global winwidth%=400,winheight%=300
Graphics3D winwidth%,winheight%,0,2

Include "SJ3DGUI.bb"

;3D-SCENE -------------------------------------------------------------------

Local cam%=CreateCamera()
CameraProjMode cam%,2
CameraClsColor cam%,100,110,110
PositionEntity cam%,0,0,-10
Local light%=CreateLight(1)
PositionEntity light%,0.4,0.2,-1
AmbientLight 15,15,15

Global cube%=CreateCube()
ScaleEntity cube%,0.2,0.2,0.2
EntityColor cube%,200,200,200
RotateEntity cube%,60,0,60

;ADD GUI ELEMENTS -----------------------------------------------------------

InitSJGUIWindow("favicon.ico",False)

SetBarHeight(25)
SetGUIFont("Dotum")

CreateMenu(1000,"Datei",0,"","")
CreateMenu(1100,"Bearbeiten",0,"","")
CreateMenu(1200,"Ansicht",0,"","")

CreateMenu(1010,"Neu",1000,"","Erstellt einen neuen Datensatz")
CreateMenu(1020,"ffnen",1000,"","ffnent bestehende Daten zur Bearbeitung")
CreateMenu(1030,"Speichern",1000,"","Speichert die aktuellen Daten")
CreateMenu(1040,"Beenden",1000,"","Beendet das Programm")

CreateMenu(1110,"Kopieren",1100,"","Kopiert einen Datensatz")
CreateMenu(1120,"Ausschneiden",1100,"","")
CreateMenu(1130,"Einfgen",1100,"","")

CreateMenu(1210,"Fixieren",1200,"","")
CreateMenu(1220,"Schema",1200,"","")
CreateMenu(1230,"Optionen",1200,"","")

SetStatusText(1,"SpaceJuice")
SetStatusText(3,"Sample 01")

;MAIN LOOP ------------------------------------------------------------------

Global rotdir#=1
Local frametimer%=CreateTimer(75)
While KeyHit(1)=False And MV_WindowClose%()=False
	TurnEntity cube%,0,Sin(MilliSecs()*0.1),rotdir#
	RenderWorld()
	UpdateGui()
	Flip
	WaitTimer(frametimer%)
Wend

End

;~IDEal Editor Parameters:
;~C#Blitz3D